# For the general syntax of property based configuration files see the
# documenation of org.apache.log4j.PropertyConfigurator.
log4j.rootLogger=DEBUG, stdout

log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.ConversionPattern= %-5p [%t:%37c] %3x %m%n

log4j.appender.file=org.apache.log4j.DailyRollingFileAppender
log4j.appender.file.File=${user.dir}/log/workstyle.log
log4j.appender.file.DatePattern='.'yyyy-MM-dd
log4j.appender.file.layout=org.apache.log4j.PatternLayout
log4j.appender.file.layout.ConversionPattern=%d{dd MMM yyyy HH:mm:ss} %-5p [%t:%37c] %3x %m%n


# By default we don't log at the DEBUG level for Cactus log, in order not to generate too
# many logs. However, should a problem arise and logs need to be sent to the Cactus dev team,
# then we will ask you to change this to DEBUG.
log4j.category.org.apache.commons = INFO, stdout
log4j.additivity.org.apache.commons=false

log4j.category.org.apache.torque = INFO, org.apache.torque
log4j.appender.org.apache.torque = org.apache.log4j.ConsoleAppender
log4j.appender.org.apache.torque.layout = org.apache.log4j.PatternLayout
log4j.appender.org.apache.torque.layout.conversionPattern = %d [%t] %-5p %c - %m%n
log4j.additivity.org.apache.torque = false

log4j.category.org.apache.torque.util.SQLBuilder = DEBUG, stdout
log4j.additivity.org.apache.torque.util.SQLBuilder=false
log4j.category.org.apache.torque.util.BasePeer = DEBUG, stdout
log4j.additivity.org.apache.torque.util.BasePeer=false

